Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: An high level argument parsing library for bash
Name: bash-argsparse
Version: 1.8
Release: alt1_4
License: WTFPL
URL: https://github.com/Anvil/bash-argsparse
Source0: http://argsparse.livna.org/%{name}-%{version}.tar.gz
BuildArch: noarch
# Binaries are required for unittest to perform cleanly.
BuildRequires: doxygen
BuildRequires: glibc-core glibc-timezones glibc-utils iconv
BuildRequires: cfdisk eject fdisk getopt hwclock look lsblk msulogin rfkill setarch sfdisk shadow-change util-linux
BuildRequires: /usr/bin/host

Requires: bash sh
Requires: cfdisk eject fdisk getopt hwclock look lsblk msulogin rfkill setarch sfdisk shadow-change util-linux
Requires: glibc-core glibc-timezones glibc-utils iconv
Requires: /usr/bin/host
Source44: import.info

%description
An high level argument parsing library for bash.

The purpose is to replace the option-parsing and usage-describing
functions commonly rewritten in all scripts.

This library is implemented for bash version 4. Prior versions of bash
will fail at interpreting that code.


%prep
%setup -q -n %{name}-%{name}-%{version}



%build
# Nothing to build, except the documentation.
doxygen


%install
mkdir -p %{buildroot}/%{_bindir}
install -p -m 0755 argsparse.sh %{buildroot}/%{_bindir}
ln -s argsparse.sh %{buildroot}/%{_bindir}/argsparse


%check
./unittest


%files
%doc tutorial README.md html COPYING
%{_bindir}/argsparse
%{_bindir}/argsparse.sh


%changelog
