Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/xsltproc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bti
Version:        034
Release:        alt3_29
Summary:        Bash Twitter Idiocy

License:        GPLv2
URL:            https://github.com/gregkh/bti
# kernel.org, not always up to date
Source0:        https://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.xz
Patch0:         bti-034_json-c_013.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(oauth)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(oauth)
Source44: import.info

%description
Allows you to pipe your bash input to twitter in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%patch0 -p1



%build
export LDFLAGS="%{?__global_ldflags} -L%{_libdir}/readline5"
%configure
%make_build


%install
%makeinstall_std
# bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion %{buildroot}%{_sysconfdir}/bash_completion.d/bti


%files
%doc --no-dereference COPYING
%doc ChangeLog README RELEASE-NOTES
%doc bti.example
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
