Group: Toys
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install libgio-devel libpng-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           camorama
Version:        0.21.2
Release:        alt1_7
Summary:        Gnome webcam viewer
License:        GPLv2+
URL:            https://github.com/alessio/camorama
Source0:        https://linuxtv.org/downloads/camorama/camorama-%{version}.tar.gz
Patch0:		fix_crash_on_device_change.patch
BuildRequires:  gcc desktop-file-utils libappstream-glib libappstream-glib-gir
BuildRequires:  gettext-tools libasprintf-devel libv4l-devel gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel libcairo-devel
BuildRequires:  libgdk-pixbuf-devel libgdk-pixbuf-gir-devel gnome-common
Requires:       icon-theme-hicolor
Source44: import.info

%description
A simple Gnome webcam viewer, with the ability to apply some video effects.


%prep
%setup -q
%patch0 -p1


%build
./autogen.sh
%configure --prefix /usr
%make_build


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
%find_lang %{name}

# below is the desktop file and icon stuff.
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_metainfodir}/%{name}.appdata.xml


%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md THANKS TODO
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/camorama.desktop
%{_datadir}/icons/hicolor/*x*/devices/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
