Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		glue-schema
Version:	2.1.0
Release:	alt1_4
Summary:	LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema
License:	Apache-2.0
URL:		https://github.com/EGI-Foundation/%{name}
Source:		https://github.com/EGI-Foundation/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Source44: import.info

%description
The GLUE specification is an information model for Grid entities such
as computing clusters and data storage facilities. As a conceptual
model, it is designed to be independent from the concrete data models
adopted for its implementation. The specification can be rendered to
several concrete data models such as XML Schema, LDAP Schema or SQL.

This package provides LDAP schema files for the GLUE 1.3 and GLUE 2.0 Schema.

%prep
%setup -q

%build 
# Nothing to build

%install
make install prefix=%{buildroot}

rm -rf %{buildroot}%{_docdir}
rm -rf %{buildroot}%{_licensedir}

%files
%dir %{_sysconfdir}/ldap
%dir %{_sysconfdir}/ldap/schema
%config(noreplace) %{_sysconfdir}/ldap/schema/*
%doc AUTHORS.md
%doc README.md
%doc --no-dereference COPYRIGHT
%doc --no-dereference LICENSE.txt

%changelog
