# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-compile-schemas /usr/bin/msgfmt libgio-devel pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define commit	6d816eeeb7a9dcc0011ef1892c6467455f196e0e
%define gitdate	20220828

Summary:	TetriNET game client for Linux
Name:		gtetrinet
Version:	0.8.0
Release:	alt1_0.git20220828.1
License:	GPLv2+
Group:		Games/Arcade
URL:		https://gtetrinet.sourceforge.net/
Source0:	https://github.com/tatankat/gtetrinet/archive/%{commit}/%{name}-%{version}-%{gitdate}.tar.gz
#Source:	https://download.gnome.org/sources/gtetrinet/0.7/%%{name}-%%{version}.tar.bz2
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(popt)
BuildRequires:	perl(XML/Parser.pm)
BuildRequires:	ImageMagick-tools libImageMagick7.10
Requires(post): GConf libGConf
Requires(preun): GConf libGConf
Source44: import.info

%description
GTetrinet is a client program for the popular TetriNET game, a multiplayer
tetris game that is played over the internet. It is written in GTK.
(If you don't know what TetriNET is, check out tetrinet.org)

Its features include:
  * Fully network compatible with Tetrinet v1.13 for Win95/98/NT
  * Theme support with sound
  * Spectator support on Tetrinet-X servers with the qirc patch by Drslum.


%prep
%setup -q -n %{name}-%{commit}


%build
./autogen.sh
%configure --bindir=%{_gamesbindir} --enable-detach
%make_build

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icon
for png in 48x48 32x32 16x16; do
    mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
    convert -geometry $png gtetrinet.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README.md
%doc --no-dereference COPYING
%{_gamesbindir}/*
%{_datadir}/gtetrinet/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/glib-2.0/schemas/gtetrinet.gschema.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/*.6*


%changelog
