Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gxemul
Version:	0.7.0
Release:	alt1_8
License:	BSD
Summary:	Instruction-level machine emulator
URL:		http://gavare.se/gxemul/
Source0:	http://gavare.se/gxemul/src/%{name}-%{version}.tar.gz
Patch0:		gxemul-0.6.0.1-Makefile-cleanup.patch
Patch1:		gxemul-0.6.0.1-gcc47.patch
# https://sourceforge.net/p/gxemul/mailman/message/37270384/
Patch2:		gxemul-0.7.0-linux-fix.patch
Patch3:		gxemul-0.7.0-no-rpath.patch
BuildRequires:	libX11-devel, xorg-proto-devel
BuildRequires:	gcc
Source44: import.info

%description
GXemul is an experimental instruction-level machine emulator. It can be
used to run binary code for (among others) MIPS-based machines, regardless
of host platform. Several emulation modes are available. For some modes,
processors and surrounding hardware components are emulated well enough to
let unmodified operating systems (e.g. NetBSD) run as if they were running
on a real machine.

%prep
%setup -q
%patch0 -p1 -b .cleanup
%patch1 -p1
%patch2 -p1 -b .linux-fix
%patch3 -p1 -b .no-rpath

%build
CFLAGS="$RPM_OPT_FLAGS" PREFIX="%{_prefix}" ./configure
%make_build

%install
make DESTDIR=%{buildroot} install

%files
%doc LICENSE HISTORY README demos/
%doc %{_datadir}/doc/gxemul/
%{_bindir}/gxemul
%{_mandir}/man1/gxemul.*

%changelog
