Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/help2man
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		mmv
Version:	2.6
Release:	alt1_1
Summary:	Move/copy/link multiple files

License:	GPL-3.0-or-later
URL:		https://github.com/rrthomas/mmv
Source0:	https://github.com/rrthomas/mmv/releases/download/v%{version}/mmv-%{version}.tar.gz
BuildRequires:	gcc libgc-devel
Source44: import.info

%description
This is mmv, a program to move/copy/append/link multiple files
according to a set of wildcard patterns. This multiple action is
performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other
target names. Furthermore, before doing anything, mmv attempts to
detect any errors that would result from the entire set of actions
specified and gives the user the choice of either aborting before
beginning, or proceeding by avoiding the offending parts.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std
ln -s mmv.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/mcp.1.gz
ln -s mmv.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/mln.1.gz
ln -s mmv.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/mad.1.gz

%check
make check

%files
%doc --no-dereference COPYING
%doc ChangeLog README README.md
%{_bindir}/mmv
%{_bindir}/mcp
%{_bindir}/mln
%{_bindir}/mad
%{_mandir}/man1/*.1*

%changelog
