# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/git gcc-c++ libGL-devel libGLU-devel qt6-base-devel zlib-devel
# END SourceDeps(oneline)
%define oldname olive
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define git	20221208
%define rel	4

Summary:	A non-linear video editor
Name:		olivevideoeditor
Version:	0.2.0
Release:	alt2_%{?git:3.%git.}%{rel}
License:	GPLv3
Group:		Video
Url:		https://www.olivevideoeditor.org
Source0:	https://github.com/olive-editor/olive/archive/olive-%{version}-git%{git}.tar.xz
Patch1:		0001-Add-OpenColorIO-2.3-compatibility.patch
ExcludeArch:	%{ix86} armv7hl
BuildRequires:	ccmake cmake ctest
BuildRequires:	doxygen
BuildRequires:	openimageio-iv openimageio-utils
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(Imath)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavfilter)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(OpenImageIO)
BuildRequires:	pkgconfig(Qt6Concurrent)
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6DBus)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Linguist)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6OpenGLWidgets)
BuildRequires:	pkgconfig(Qt6OpenGL)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(xkbcommon)
Source44: import.info

%description
Olive is a free non-linear video editor aiming to provide a
fully-featured alternative to high-end professional video editing
software.

%prep
%setup -q -n %{oldname}-%{version}-git%{git}
%patch1 -p1


%build
%{mageia_cmake}
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc README.md
%doc --no-dereference LICENSE
%{_bindir}/olive-editor
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/mime/packages/*.xml


%changelog
