# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules-OrderingAndRunningTasks
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: List of modules/tools to order multiple tasks (with possible interdependency) and running them (pos...
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules-OrderingAndRunningTasks

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This list reviews what tools are available on CPAN and in general to order
multiple tasks (with possible interdependency) and running them (possibly in
parallel).

To specify dependency, you can use a graph then do a topological sort on it.
This will make sure that a task that depends on another is executed after the
latter. This will also check circular dependencies: if there is a circular
dependency, the graph becomes cyclical and will fail to sort topologically.
There are several modules to do topological sorting, among them: the Graph manpage,
the Data::Graph::Util manpage, the Sort::Topological manpage. There's also
the Algorithm::Dependency manpage.

To run tasks in parallel, you can also represent the tasks and dependencies
among them using a graph, then separate the connected subgraphs. The subgraphs
do not connect to one another and thus you can run the tasks in a subgraph in
parallel with tasks in another subgraph. These modules can search and return
connected subgraphs: the Graph manpage (`connected_components' method),
the Data::Graph::Util manpage (`connected_components' function).

Keyword: dependency ordering, parallel execution

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
