%define module_name Algorithm-Toy-HashSC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Test2/V0.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: toy separate chain hash implementation
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A toy separate chain hash implementation; productive uses are left as an
exercise to the reader. (Hint: music or artwork where the particulars of
the hash code and modulus groups the data in a deterministic manner;
this ordering or grouping can help determine e.g. pitch sets, rhythmic
material, etc. Hence, the keys_in and keys_with methods to obtain
the keys in a chain, or with a particular key. Variety could be added by
varying the modulus, or changing the hash or hashcode methods.)

This module is not for use where performance is a concern, or where
untrusted user input may be supplied for the key material.
the section on "Algorithmic Complexity Attacks" in the perlsec manpage discusses why Perl's hash
are no longer deterministic.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%changelog
