%define module_name App-PP-Autolink
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Env.pm) perl(File/Copy.pm) perl(File/Find/Rule.pm) perl(File/Which.pm) perl(Getopt/ArgvFile.pm) perl(List/Util.pm) perl(Module/ScanDeps.pm) perl(PAR/Packer.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(rlib.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.12
Release: alt1
Summary: Pack PAR executables, finding dynamic libs automatically
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SL/SLAFFAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
*the pp manpage* creates standalone executables from Perl programs.
However, it does not pack dynamic libs by default, and a general
source of angst is that dynamic libs have dependencies that must
be traced and also packed for the packed executable to be usable on
a "clean" system.

pp_autolink is an attempt to automate this packing process.

All pp_autolink does is recursively check all dynamic libs used by a perl script
and add them to the the pp manpage call using `--link' command line arguments.

Depending on your system it will use the *ldd*, *objdump* or *otool*
utilities to find dependent libs.

It will also check dynamic libs used by Aliens if they are detected
and inherit from the Alien::Base manpage.

Note that testing is currently very threadbare,
so please report issues.  Pull requests are very welcome.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md CHANGES
%perl_vendor_privlib/A*
%_bindir/*

%changelog
