Group: Development/Perl
%add_findreq_skiplist %_bindir/cpanp-run-perl
%add_findreq_skiplist %{perl_vendor_privlib}/CPANPLUS/Internals/*
%add_findreq_skiplist %{perl_vendor_privlib}/CPANPLUS/Dist/*
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Compress/Zlib.pm) perl(Encode.pm) perl(ExtUtils/CBuilder.pm) perl(IO/Compress/Bzip2.pm) perl(IO/Compress/Xz.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/SSL.pm) perl(IO/Uncompress/Bunzip2.pm) perl(IO/Uncompress/UnXz.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Locale/Maketext.pm) perl(Locale/Maketext/Lexicon.pm) perl(Log/Contextual/WarnLogger.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Module/ThirdParty.pm) perl(Mozilla/CA.pm) perl(Net/FTP.pm) perl(Net/SSLeay.pm) perl(YAML/Tiny.pm) perl(parent.pm) perl(use.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global cpan_version 0.9912
Name:           perl-CPANPLUS
Version:        0.991.200
Release:        alt1_1
Summary:        Ameliorated interface to the Comprehensive Perl Archive Network
# Other files:                              GPL+ or Artistic
## Unbundled, not used
# inc/bundle/Locale/Maketext/Simple.pm:     MIT
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPANPLUS
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/CPANPLUS-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Locale/Maketext/Simple.pm)
BuildRequires:  perl(Module/Loaded.pm)
# Run-time:
BuildRequires:  perl(Archive/Extract.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBIx/Simple.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(IPC/Cmd.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(File/Copy.pm)
BuildRequires:  perl(File/Fetch.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Glob.pm)
BuildRequires:  perl(FileHandle.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec/Unix.pm)
BuildRequires:  perl(File/stat.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Log/Message.pm)
BuildRequires:  perl(Module/CoreList.pm)
BuildRequires:  perl(Module/Load.pm)
BuildRequires:  perl(Module/Load/Conditional.pm)
BuildRequires:  perl(Module/Pluggable.pm)
BuildRequires:  perl(Object/Accessor.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Package/Constants.pm)
BuildRequires:  perl(Params/Check.pm)
# Parse::CPAN::Meta also for loading t/testrules.yml at tests
BuildRequires:  perl(Parse/CPAN/Meta.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Term/ReadLine.pm)
BuildRequires:  perl(Term/UI.pm)
BuildRequires:  perl(Tie/Hash.pm)
BuildRequires:  perl(Time/Local.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(version.pm)
BuildRequires:  perl(warnings.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# lib/CPANPLUS/Internals.pm:465
Requires:       perl(File/Glob.pm)
# File::Path not found in lib/CPANPLUS/Internals/Utils.pm:68 and
# generated from lib/CPANPLUS/Internals/Extract.pm
# lib/CPANPLUS/Internals/Utils.pm:323
Requires:       perl(File/stat.pm)
# bin/cpanp-boxed:10
Requires:       perl(FindBin.pm)
# lib/CPANPLUS/Module.pm:477
Requires:       perl(Module/CoreList.pm) >= 2.220
# lib/CPANPLUS/Configure.pm:181
Requires:       perl(Module/Pluggable.pm)


Source44: import.info
%filter_from_requires /^perl(\(Your.Module.Here\|Test\).pm)/d

%description
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, command line programs, etc., that use this API.

%prep
%setup -q -n CPANPLUS-%{cpan_version}
# Removed unused bootstrap modules (required only when updating CPANPLUS with
# CPANPLUS when Module::Build is preferred by CPANPLUS)
rm -rf bundled
perl -i -ne 'print $_ unless m{^bundled/}' MANIFEST
# Remove bundled modules
rm -rf inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
export HARNESS_OPTIONS=$(perl -e \
    'for (@ARGV) { $j=$1 if m/\A-j(\d+)\z/; }; print "j$j" if $j' -- \
    %{?_smp_mflags})
make test

%files
%doc ChangeLog README
%{_bindir}/*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
