%define module_name CPU-x86_64-InstructionWriter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(Math/BigInt.pm) perl(Moo.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(if.pm) perl(integer.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Pure-perl API-driven assembler for x86-64
Group: Development/Perl
License: perl
URL: https://github.com/nrdvana/perl-CPU-x86_64-InstructionWriter

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NE/NERDVANA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is an early stage of development and the API is not finalized.

The purpose of this module is to relatively efficiently assemble instructions for the x86-64
without generating and re-parsing assembly language, or shelling out to an external tool.
All instructions are assumed to be for the 64-bit mode of the processor.  Functionality for
real mode or segmented 16-bit mode could be added by a yet-to-be-written ::x86 module.

This module consists of a bunch of chainable methods which build a string of machine code as
you call them.  It supports lazy-resolved jump labels, and lazy-bound constants which can be
assigned a value after the instructions have been assembled.

Note: This module currently requires a perl with 64-bit integers and `pack('Q')' support.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/C*

%changelog
