%define module_name Catalyst-Plugin-Static-File
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Test.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/stat.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(IO/File.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Path/Tiny.pm) perl(Plack/Builder.pm) perl(Plack/MIME.pm) perl(Plack/Middleware/ConditionalGET.pm) perl(Plack/Middleware/MethodOverride.pm) perl(Plack/Middleware/XSendfile.pm) perl(Plack/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/CleanNamespaces.pm) perl(Test/DistManifest.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/Log/Dispatch.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoTabs.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
BuildRequires: perl(Test/Portability/Files.pm) perl(Test/WWW/Mechanize/PSGI.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.2
Release: alt1
Summary: Serve a specific static file
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RR/RRWO/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This plugin provides a simple method for your the Catalyst manpage app to send a specific static file.

Unlike the Catalyst::Plugin::Static::Simple manpage,

=over

=item *

It only supports serving a single file, not a directory of static files. Use the Plack::Middleware::Static manpage if you want to
serve multiple files.

=item *

It assumes that you know what you're doing. If the file does not exist, it will throw an fatal error.

=item *

It uses the Plack::MIME manpage to identify the content type, but you can override that.

=item *

It adds a file path to the file handle, plays nicely with the Plack::Middleware::XSendfile manpage and the Plack::Middleware::ETag manpage.

=item *

It does not log anything.

=back

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/C*

%changelog
