%define module_name DBIx-Class-Schema-ResultSetNames
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DBD/SQLite.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Lingua/EN/Inflect/Phrase.pm) perl(Modern/Perl.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(Try/Tiny.pm) perl(base.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0301
Release: alt1
Summary: Create resultset accessors from table names
Group: Development/Perl
License: perl
URL: https://p3rl.org/DBIx::Class::Schema::ResultSetNames

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GEEKRUTH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
DBIx::Class::Schema::ResultSetNames adds both singular and plural method accessors for all resultsets.

So, instead of this:

    my $schema = MyApp::Schema->connect(...);
    my $result = $schema->resultset('Author')->search({...});

you may choose to this:

    my $schema = MyApp::Schema->connect(...);
    my $result = $schema->authors->search({...});

And instead of this:

    my $schema = MyApp::Schema->connect(...);
    my $result = $schema->resultset('Author')->find($id);

you may choose to this:

    my $schema = MyApp::Schema->connect(...);
    my $result = $schema->author($id)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn LICENSE CODE_OF_CONDUCT.md AUTHOR_PLEDGE Changes
%perl_vendor_privlib/D*

%changelog
