# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Slurper.pm) perl(Moo.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/Pod.pm) perl(Test/SQLite.pm) perl(Test/Simple.pm) perl(constant.pm) perl(feature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name DBIx-Schema-Migration
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: An easy way to start using migrations.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AL/ALEXPAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Schema migration is a tool that helps to apply incremental and reversible changes to you relational database.
You could build cli util or use this class whintin yor ci/cd script.
This module relies on DBI and the database connection it creates.
It only works with migrations written in sql.

Migration in terms of this module is a directory consisting of two files:

    1 *_up.sql   - apply changes
    2 *_down.sql - reverse changes

Example:

    db/migrations/
   |
   |-- 01_create_table_users/
   |     \
   |      \-- 01_create_table_users_up.sql
   |      |
   |      |-- 01_create_table_users_down.sql
   |
   |-- 02_add_users/
   |     \
   |      \-- 02_add_users_up.sql
   |      |
   |      |-- 02_add_users_down.sql

As you can see, there are some naming conventions:

    1 Migrations starts with a number that determines the order 
    2 Migrations ends with up.sql or down.sql 

Once a migration has been applied, it is stored in the database, and
the migration will not be applied again, until your reverse it with
down method.  

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/D*

%changelog
