%define module_name Dist-Zilla-Plugin-Module-Features
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/AfterBuild.pm) perl(Dist/Zilla/Role/BeforeBuild.pm) perl(Dist/Zilla/Role/FileFinderUser.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(Dist/Zilla/Role/RequireFromBuild.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(PMVersions/Util.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Plugin to use when building Module::Features::* distribution
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-Module-Features

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is to be used when building `Module::Features::*' distribution as
well as distribution that has a module that declares features. It currently does
the following:

=over

=item * Create `xt/release/module-features.t' test file which uses the Test::Module::Features manpage to test your features declarations or feature set specifications

=item * Make sure that the Module::Features manpage is added as a (phase=develop, rel=x_spec) prerequisite

This is a way to express that the module *follows the specification* specified
in the Module::Features manpage. This recommendation is per Module::Features spec.

=item * For a feature declarer module, make sure that the appropriate `Module::Features::*' modules are added as (phase=develop, rel=x_features_from) prerequisites

This is a way to express that the module declares features defined in the
associated `Module::Features::*' modules. This recommendation is per
Module::Features spec.

=back

=for Pod::Coverage .+

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
