# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name File-Cmp
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.07
Release: alt1
Summary: compare two files character by character
Group: Development/Perl
License: artistic_2
URL: http://github.com/thrig/File-Cmp

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module offers a fcmp function that checks whether the contents
of two files are identical, in the spirit of the Unix the cmp(1) manpage utility.
A single subroutine, fcmp, is offered for optional export. It expects
at minimum two files or file handles, along with various optional
parameters following those filenames. Any errors encountered will cause
an exception to be thrown; consider `eval' or the Try::Tiny manpage to catch
these. Otherwise, the return value will be true if the files are
identical, false if not.

Note that if passed a file handle, the code will read to the end of the
handle, and will not rewind. This will require `tell' and `seek'
function calls before and after fcmp to return to the same position,
if necessary. Likewise, if entire file contents are to be compared, file
handles may need `SEEK_SET' performed on them to move to the beginning
prior to the fcmp call. None of this is a concern if file names are
passed instead of file handles.

%prep
%setup -q -n %{module_name}-%{version}

%if "%version" == "1.07"
%define _without_test 1
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/F*

%changelog
