%define module_name File-Process
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(IO/Scalar.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(ReadonlyX.pm) perl(Text/CSV_XS.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: File processing utiltiy
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGFOOT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Many scripts need to process on or more text files. The boiler-plate
usually looks something like:

 open my $fh, '<', $file
    or croak "blah blah blah...\n";

 while (<$fh> ) {
   # do something...
 }

 close $fh or
    croak "blah blah blah...\n";

The *do something...* part often involves other common operations like
removing new lines, skipping blank lines, etc. It gets worse when you
have to write the same template for processing different files in a
script. 

This class that provides a simple harness for processing text files,
taking the drudgery out of writing a simple text processor. It is most
effect when used on relatively small files.

In it's most basic form the class will return all of the lines in a
text file. The class exports 1 method (`process_file') which uses
four subroutines that you can override or use in conjunction with your
processors.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/F*

%changelog
