# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Function/Parameters.pm) perl(GraphQL.pm) perl(JSON/MaybeXS.pm) perl(JSON/Validator.pm) perl(Mojo/Base.pm) perl(Mojo/JSON.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/GraphQL.pm) perl(Mojolicious/Plugin/OpenAPI.pm) perl(OpenAPI/Client.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Test/Snapshot.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define module_name GraphQL-Plugin-Convert-OpenAPI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: convert OpenAPI schema to GraphQL schema
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements the the GraphQL::Plugin::Convert manpage API to convert
a the JSON::Validator::OpenAPI::Mojolicious manpage specification to the GraphQL::Schema manpage etc.

It uses, from the given API spec:

=over

=item * the given "definitions" as output types

=item * the given "definitions" as input types when required for an
input parameter

=item * the given operations as fields of either `Query' if a `GET',
or `Mutation' otherwise

=back

If an output type has `additionalProperties' (effectively a hash whose
values are of a specified type), this poses a problem for GraphQL which
does not have such a concept. It will be treated as being made up of a
list of pairs of objects (i.e. hashes) with two keys: `key' and `value'.

The queries will be run against the spec's server.  If the spec starts
with a `/', and a the Mojolicious manpage app is supplied (see below), that
server will instead be the given app.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/G*

%changelog
