%define module_name JSON-Schema-Modern-Document-OpenAPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Perl/Role/Collection/Array.pm) perl(Data/Perl/Role/Collection/Hash.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Feature/Compat/Try.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(JSON/Schema/Modern.pm) perl(JSON/Schema/Modern/Document.pm) perl(JSON/Schema/Modern/Utilities.pm) perl(JSON/Schema/Modern/Vocabulary.pm) perl(List/Util.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Mojo/Message/Request.pm) perl(Mojo/Message/Response.pm) perl(Moo.pm) perl(MooX/HandlesVia.pm) perl(MooX/TypeTiny.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Safe/Isa.pm)
BuildRequires: perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/File/ShareDir.pm) perl(Test/JSON/Schema/Acceptance.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/Escape.pm) perl(YAML/PP.pm) perl(constant.pm) perl(experimental.pm) perl(if.pm) perl(lib.pm) perl(namespace/clean.pm) perl(open.pm) perl(strict.pm) perl(strictures.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.021
Release: alt1
Summary: One JSON Schema document
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/JSON-Schema-Modern-Document-OpenAPI

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Provides structured parsing of an OpenAPI document, suitable as the base for more tooling such as
request and response validation, code generation or form generation.

The provided document must be a valid OpenAPI document, as specified by the schema identified by
`https://spec.openapis.org/oas/3.1/schema-base/2021-09-28' (the latest document available)
and the OpenAPI v3.1 specification.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTING README examples
%perl_vendor_privlib/J*
%perl_vendor_privlib/auto/*
%perl_vendor_privlib/O*

%changelog
