%define module_name License-SPDX
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Utils.pm) perl(Cpanel/JSON/XS.pm) perl(Error/Pure.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Share.pm) perl(IO/All.pm) perl(JSON.pm) perl(JSON/PP/Boolean.pm) perl(LWP/Simple.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Perl6/Slurp.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Object for SPDX licenses handling.
Group: Development/Perl
License: bsd
URL: https://github.com/michal-josef-spacek/License-SPDX

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKIM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use License::SPDX;

 my $obj = License::SPDX->new;
 my $checked = $obj->check_license($check_string, $opts_hr);
 my $license_hr = $obj->license($license_id);
 my $licenses = $obj->licenses;
 my $spdx_release_date = $obj->spdx_release_date;
 my $spdx_version = $obj->spdx_version;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/L*
%perl_vendor_privlib/auto/*

%changelog
