%define module_name Lilith
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/Pg.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ReadBackwards.pm) perl(File/Slurp.pm) perl(Gzip/Faster.pm) perl(JSON.pm) perl(MIME/Base64.pm) perl(Net/Server/Daemonize.pm) perl(POE.pm) perl(POE/Wheel/FollowTail.pm) perl(Sys/Hostname.pm) perl(Sys/Syslog.pm) perl(TOML.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Text/ANSITable.pm) perl(Time/Piece/Guess.pm) perl(YAML/PP.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.6.0
Release: alt1
Summary: Work with Suricata/Sagan EVE logs and PostgreSQL.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VV/VVELOX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $toml_raw = read_file($config_file) or die 'Failed to read "' . $config_file . '"';
    my ( $toml, $err ) = from_toml($toml_raw);
    unless ($toml) {
        die "Error parsing toml,'" . $config_file . "'" . $err;
    }

     my $lilith=Lilith->new(
                            dsn=>$toml->{dsn},
                            sagan=>$toml->{sagan},
                            suricata=>$toml->{suricata},
                            user=>$toml->{user},
                            pass=>$toml->{pass},
                           );


     $lilith->create_table(
                           dsn=>$toml->{dsn},
                           sagan=>$toml->{sagan},
                           suricata=>$toml->{suricata},
                           user=>$toml->{user},
                           pass=>$toml->{pass},
                          );

    my %%files;
    my @toml_keys = keys( %%{$toml} );
    my $int       = 0;
    while ( defined( $toml_keys[$int] ) ) {
        my $item = $toml_keys[$int];

        if ( ref( $toml->{$item} ) eq "HASH" ) {
                # add the file in question
                $files{$item} = $toml->{$item};
        }

        $int++;
    }

    $ilith->run(
                files=>\%%files,
               );

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/L*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
