%define module_name Log-Dispatch-Email-Sendmail
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/CheckBin.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Dispatch.pm) perl(Sys/Hostname.pm) perl(Test/Distribution.pm) perl(Test/EOF.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Metrics/Simple.pm) perl(Test/Requires.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Subclass of Log::Dispatch::Email that sends e-mail using Sendmail
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Log::Dispatch::Email::MailSendmail manpage is no longer suitable for all
situations because it doesn't use Sendmail to send mail (despite the
name of the module) instead it uses SMTP and doesn't support AUTH.

This module sends mail using Sendmail. It has the overhead of a
fork/exec so it should only be used where really needed.

    use Log::Dispatch;

    my $log = Log::Dispatch->new(
      outputs => [
          [
              'Email::Sendmail',
              min_level => 'emerg',
              to        => [qw( foo@example.com bar@example.org )],
              subject   => 'Big error!'
          ]
      ],
    );

    $log->emerg("Something bad is happening");


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes ignore.txt README.md
%perl_vendor_privlib/L*

%changelog
