# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/OAI.pm) perl(JSON/MaybeXS.pm) perl(LWP.pm) perl(Moo.pm) perl(Test2/V0.pm) perl(URI.pm) perl(URI/Encode.pm) perl(namespace/clean.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define module_name Museum-Rijksmuseum-Object
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Access the Rijksmuseum object metadata API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RS/RSHEAT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Access the collection, collection details, and collection image endpoints of the Rijksmuseum "Rijksdata" API.

    use Museum::Rijksmuseum::Object;

    my $api           = Museum::Rijksmuseum::Object->new( key => 'abc123xyz', culture => 'en' );
    my $search_result = $api->search( involvedMaker => 'Rembrandt van Rijn' );
    die $search_result->{error} if $search_result->{error};
    print "Results: $search_result->{count}\n";
    for my $item ( $search_result->{artObjects}->@* ) {
        print "Id: $item->{id}\n";
    }

Refer to the Rijksmuseum API documentation
for information on query and response formats. Be aware that the API expects
camelCase on its parameters and this module follows this convention.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/M*

%changelog
