# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Object/Pad.pm) perl(Test2/V0.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Music-Factory
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: some factory class for your music factory class
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module offers various classes that may assist with music
composition, notably an AssemblyLine that calls various generator
classes repeatedly until a section is filled to a particular length. The
generators might return the MIDI manpage events, or anything that fits into an
array reference: lilypond notation, or who knows what.

Generators are assumed to be well behaved; a misbehaved generator
could return a negative duration, or invalid MIDI events, or even MIDI
events whose durations do not match the overall duration returned.
This may be a feature in music composition, or a source of annoying
bugs. Buyer beware!

Generators need not honor the length of the section; a section could be
truncated (or overflow) the maximum duration. Whether this makes sense
or needs to be guarded against will depend on the composition.

The caller will likely need to write generators of their own: the ones
included with this module are not very interesting. How the generators
are mixed together is also left as an exercise to the reader. See again
the `eg/' directory.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
