%define module_name Music-ModalFunction
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AI/Prolog.pm) perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Hash/AsObject.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(MIDI/Util.pm) perl(Moo.pm) perl(Music/Note.pm) perl(Music/Scales.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(namespace/clean.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0409
Release: alt1
Summary: Inspect musical modal functions
Group: Development/Perl
License: artistic_2
URL: https://github.com/ology/Music-ModalFunction

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Music::ModalFunction' allows querying of a musical database of
Prolog facts and rules that bind notes, chords, modes, keys and
diatonic functionality. In this database, the facts are all called
`chord_key' and the rules are `pivot_chord_keys' and `roman_key'.

To bind a value to a fact or rule argument, declare it in the object
constructor. Unbound arguments will return all the possible values
that make the query true.

The essential question is, "Can a chord in one key function in a
second?" Any parts of this open-ended question may be unbound, thereby
resulting in all possible truths.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
