Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Net/Frame/Dump/Offline.pm) perl(Net/Frame/Simple.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/CPAN/Meta.pm) perl(Test/EOL.pm) perl(Test/Kwalitee.pm) perl(Test/NoBreakpoints.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XML/Simple.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       perl-Net-DHCP
Version:    0.700
Release:    alt1_8
Summary:    Set of classes for basic handling of DHCP packets

License:    MIT
URL:        https://metacpan.org/release/Net-DHCP
Source0:    https://cpan.metacpan.org/authors/id/D/DJ/DJZORT/Net-DHCP-0.7.tar.gz

Buildarch:      noarch

# build requirements
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Module/Build.pm)
# runtime requirements
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(bytes.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# test requirements
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Warn.pm)


Source44: import.info

%description
Net::DHCP is a DHCP set of classes designed to handle basic DHCP
handling. It can be used to develop either client, server or relays.

%prep
%setup -q -n Net-DHCP-0.7
# Fix permissions
find examples -type f -exec chmod 644 {} 2>/dev/null \;
chmod 644 README
chmod 644 Changes
# Some tests require Net::Frame::Simple and Net::Frame::Dump
# which are under the Artistic 1.0 license and cannot be
# packaged for Fedora.
rm -f t/10*.t

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build
# See README
rm -rf docs


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# Permissions
find %{buildroot} -type f -exec chmod 644 {} 2>/dev/null \;


%check
./Build test


%files
%doc --no-dereference LICENSE
%doc README examples/ Changes
%{perl_vendor_privlib}/*


%changelog
