%define module_name OpenAPI-Modern
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Feature/Compat/Try.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(JSON/Schema/Modern.pm) perl(JSON/Schema/Modern/Document.pm) perl(JSON/Schema/Modern/Utilities.pm) perl(JSON/Schema/Modern/Vocabulary.pm) perl(List/Util.pm) perl(Math/BigInt.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Mojo/Message/Request.pm) perl(Mojo/Message/Response.pm) perl(Mojolicious.pm) perl(Moo.pm) perl(MooX/TypeTiny.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Safe/Isa.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/File/ShareDir.pm) perl(Test/JSON/Schema/Acceptance.pm)
BuildRequires: perl(Test/Memory/Cycle.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(Test/Needs.pm) perl(Test/Warnings.pm) perl(Test2/API.pm) perl(Types/Standard.pm) perl(URI.pm) perl(URI/Escape.pm) perl(YAML/PP.pm) perl(constant.pm) perl(experimental.pm) perl(if.pm) perl(lib.pm) perl(namespace/clean.pm) perl(open.pm) perl(stable.pm) perl(strict.pm) perl(strictures.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.060
Release: alt1
Summary: Validate HTTP requests and responses against an OpenAPI document
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/OpenAPI-Modern

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides various tools for working with an
OpenAPI Specification v3.1 document within
your application. The JSON Schema evaluator is fully specification-compliant; the OpenAPI evaluator
aims to be but some features are not yet available. My belief is that missing features are better
than features that seem to work but actually cut corners for simplicity.

=for Pod::Coverage BUILDARGS

=for :stopwords schemas jsonSchemaDialect metaschema subschema perlish

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README CONTRIBUTING examples
%perl_vendor_privlib/O*
%perl_vendor_privlib/J*
%perl_vendor_privlib/auto/*

%changelog
