BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Zlib.pm) perl(Digest/MD5.pm) perl(Digest/SHA1.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(MIME/Base64.pm) perl(Tie/IxHash.pm) perl(URI/Escape.pm) perl(bignum.pm)
# END SourceDeps(oneline)
%define module_name PHP-Decode
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.302
Release: alt1
Summary: Parse and transform obfuscated php code
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The PHP::Decode module applies static transformations to PHP statements parsed
by the the PHP::Decode::Parser manpage module and returns the transformed PHP code.

The decoder uses a custom php parser which does not depend on a special php
version. It supports most php syntax of interpreters from php5 to php8.
This is a pure perl implementation and requires no external php interpreter.

The parser assumes that the input file is a valid php script, and does
not enforce strict syntactic checks. Unrecognized tokens are simply passed
through.

The parser converts the php code into a unified form when the resulting
output is formatted (for example intermittent php-script-tags and variables
from string interpolation are removed and rewritten to php echo statements).
The parsed result is available before other transformations are applied.

The transformer is run by calling the exec-method on the parsed php statements,
and partially executes the php code. It tries to apply all possible static
code transformations based on php variables and values defined in the script.

The transformer does not implement php functions with any kind of side-effect
that require access to external resources like file-io or network-io. Statements
with references to unresolvable input values like cgi-variables or file-content
are skipped and corresponding variables are marked as unresolved.

The transformer supports many of the pure php built-in functions, but not all
function parameters are supported. Function calls with unresolved parameters
are skipped and kept unmodified in the transformer output. In most cases the
resulting php code will be valid and produce the same results as the original
script.

While the transformer executes, all script output to stdout (like echo or
print statements) is captured and appended as a '$STDOUT = <str>' statement
to the transformed code.

The format method converts the resulting php statements to php code again,
and allows to output the code in indented form or as a single line.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
