# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Devel/Symdump.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Pod/Coverage.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Pod-Coverage-Careful
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: more careful subclass of Pod::Coverage
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOMC/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This module carefully subclasses the Pod::Coverage manpage to override
its idea of which subs need to be documented.  This catches
several important cases that it misses.

The the Pod::Coverage manpage module doesn't count subs that appear to be
imported as ones needing documentation. However, this also exempts
subs that were generated dynamically, such as:

    for my $color (qw(red blue green)) {
        no strict "refs";
        *$color = sub { print "I like $color.\n" };
    }

By supplying the pod_coverage_ok entry in the Test::Pod::Coverage manpage with
a `coverage_class' of "Pod::Coverage::Careful", those
generated functions will now show up as in need of pod.

It also finds cases where subs are created by aliasing
an old one of a different name:

    *new_sub = \&old_sub;

This is true whether the alias is created form a sub in this
same package, or if you're importing one of a different name.

One imports that are the same name as what they import are still
exempted from pod requirements.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
