%define module_name Resource-Silo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Load.pm) perl(Moo.pm) perl(Moose.pm) perl(Scalar/Util.pm) perl(Sub/Quote.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(namespace/clean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1203
Release: alt1
Summary: lazy declarative resource container for Perl.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KH/KHEDIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
We assume the following setup:

=over

=item   (i) The application needs to access multiple resources, such as
configuration files, databases, queues, service endpoints, credentials, etc.

=item  (ii) The application has helper scripts that don't need to initialize
all the resources at once, as well as a test suite where accessing resources
is undesirable unless a fixture or mock is provided.

=item (iii) The resource management has to be decoupled from the application
logic where possible.

=back

And we propose the following solution:

=over

=item   (i) All available resources are declared in one place
and encapsulated within a single container.

=item  (ii) Such container is equipped with methods to access resources,
as well as an exportable prototyped function for obtaining the one and true
instance of it (a.k.a. optional singleton).

=item (iii) Every class or script in the project accesses resources
through this container and only through it.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes.md README.md
%perl_vendor_privlib/R*

%changelog
