%define module_name Spreadsheet-Edit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Carp.pm) perl(Clone.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Data/Dumper/Interp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(English.pm) perl(Exporter.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Guard.pm) perl(Import/Into.pm) perl(List/Util.pm) perl(POSIX.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Symbol.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/CSV.pm) perl(Tie/Array.pm) perl(Tie/Indirect.pm) perl(Time/HiRes.pm) perl(autovivification.pm) perl(bytes.pm) perl(constant.pm)
BuildRequires: perl(feature.pm) perl(indirect.pm) perl(lib.pm) perl(mro.pm) perl(multidimensional.pm) perl(open.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.008
Release: alt1
Summary: Slice and dice spreadsheets, optionally using tied variables.
Group: Development/Perl
License: unrestricted
URL: https://github.com/jimav/Spreadsheet-Edit

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JI/JIMAVERA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package allows easy manipulation of CSV files (or data from a spreadsheet)
referring to columns by title or absolute position.  Rows and
columns may be inserted, deleted, or moved.

The usual paradigm is to iterate over rows applying a function
to each, vaguely inspired by 'sed' and 'awk' (see `apply' below).
Random access is also supported.

There is both a procedural and object-oriented API, which can work together.

Tied variables can be used with the procedural API.

Note: Only cell *values* are handled; there is no provision
for processing formatting information from spreadsheets.
The author has a notion to add support for formats,
perhaps integrating with Spreadsheet::Read and Spreadsheet::Write
or the packages they use.  Please contact the author if you want to help.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_privlib/S*

%changelog
