Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           pulsecaster
Version:        0.9
Release:        alt1_15
Summary:        A PulseAudio-based podcast recorder

License:        GPLv3+
URL:            http://fedorahosted.org/pulsecaster
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-module-pkg_resources python3-module-setuptools
BuildRequires:  desktop-file-utils, gettext-tools

Requires:       python3-module-pulsectl
Requires:       python3-module-pygobject3
Requires:       gstreamer1.0 gstreamer1.0-utils libgstreamer1.0-gir
Requires:       python3-module-dbus python3-module-dbus-gobject
Source44: import.info


%description
PulseCaster is a simple PulseAudio-based tool for making podcast
interviews. It is designed for ease of use and simplicity. The user
makes a call with a preferred PulseAudio-compatible Voice-over-IP
(VoIP) softphone application such as Ekiga or Twinkle, and then starts
PulseCaster to record the conversation to a multimedia file. The
resulting file can be published as a podcast or distributed in other
ways.

%prep
%setup -q


%build
%{__python3} setup.py build
for F in po/*.po ; do
    L=`echo $F | sed 's@po/\([^\.]*\).po@\1@'`
    msgfmt -o po/$L.mo $F
done


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    %{name}.desktop
for D in ${RPM_BUILD_ROOT}%{_datadir}/locale/* ; do
    mv ${D}/LC_MESSAGES/*.mo ${D}/LC_MESSAGES/%{name}.mo
done
%find_lang %{name}

 
%files -f %{name}.lang
%doc AUTHORS README.md COPYING TODO
%{python3_sitelibdir_noarch}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/GConf/gsettings/*
%{_datadir}/appdata/*
%{_datadir}/glib-2.0/schemas/*


%changelog
