Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: /usr/bin/trial-3
# END SourceDeps(oneline)
%define oldname python-txzmq
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# what it's called on pypi
%global srcname txZMQ
# what it's imported as
%global libname txzmq
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname %{libname}

%global common_description \
txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop\
(reactor).

%bcond_without  tests


Name:           python-module-txzmq
Version:        1.0.0
Release:        alt1_9
Summary:        Twisted bindings for ZeroMQ
License:        MPLv2.0
URL:            https://github.com/smira/txZMQ
Source0:        https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info


%description 
%{common_description}


%package -n python3-module-txzmq
Group: Development/Other
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-module-pkg_resources python3-module-setuptools
%if %{with tests}
BuildRequires:  python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-gui-gnome python3-module-twisted-core-gui-wx python3-module-twisted-logger python3-module-twisted-mail python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words twisted-core-tools python3-module-zmq
%endif


%description -n python3-module-txzmq 
%{common_description}


%prep
%setup -q -n %{srcname}-%{version}

rm -rf %{eggname}.egg-info


%build
%python3_build


%install
%python3_install


%check
%if %{with tests}
PYTHONPATH=%{buildroot}%{python3_sitelibdir_noarch} trial-3 txzmq
%endif


%files -n python3-module-txzmq
%doc README.rst
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir_noarch}/%{libname}
%{python3_sitelibdir_noarch}/%{eggname}-%{version}-py%{__python3_version}.egg-info


%changelog
