Group: Development/Python3
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname pyzor
%define fedora 38
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global forgeurl https://github.com/SpamExperts/pyzor
%global commit   f46159bd6519cebcebf59e9334a7920371111d75

Name:           python3-module-pyzor
Version:        1.0.0
Release:        alt2_37
Summary:        Collaborative spam filtering system
License:        GPL-2.0-only
# FedoraForgeMeta2ALT: generated meta
%global forgeurl https://github.com/SpamExperts/pyzor
%global forgesource https://github.com/SpamExperts/pyzor/archive/f46159bd6519cebcebf59e9334a7920371111d75/pyzor-f46159bd6519cebcebf59e9334a7920371111d75.tar.gz
%global archivename pyzor-f46159bd6519cebcebf59e9334a7920371111d75
%global archiveext tar.gz
%global archiveurl https://github.com/SpamExperts/pyzor/archive/f46159bd6519cebcebf59e9334a7920371111d75/pyzor-f46159bd6519cebcebf59e9334a7920371111d75.tar.gz
%global topdir pyzor-f46159bd6519cebcebf59e9334a7920371111d75
%global extractdir pyzor-f46159bd6519cebcebf59e9334a7920371111d75
%global repo pyzor
#global owner %nil
#global namespace %nil
%global scm git
#global tag %nil
%global commit f46159bd6519cebcebf59e9334a7920371111d75
#global shortcommit %nil
#global branch %nil
%global version 1.0.0
#global date %nil
%global distprefix .gitf46159b
# FedoraForgeMeta2ALT: end generated meta
URL:            %forgeurl
Source0:        %forgesource
Patch0:         https://patch-diff.githubusercontent.com/raw/SpamExperts/pyzor/pull/119.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pytest3 python3-module-pytest
BuildRequires:  python3-module-pkg_resources python3-module-setuptools
# No python3-redis (yet?) in EPEL, only in Fedora
%if 0%{?fedora}  
BuildRequires:  python3-module-redis-py
%endif
Source44: import.info

%description
Pyzor is a collaborative, networked system to detect
and block spam using identifying digests of messages.
Pyzor is similar to Vipul's Razor except implemented
in python, and using fully open source servers.

Pyzor can be used either standalone, or to augment the
spam filtering ability of spamassassin.  spamassassin
is highly recommended.


%prep
%setup -q -n pyzor-f46159bd6519cebcebf59e9334a7920371111d75
%patch0 -p1



%build
%python3_build


%install
%python3_install
install -d -m 755 %{buildroot}%{_sysconfdir}/%{oldname}


# Tests are failing without python3-redis, even it's optional
%if 0%{?fedora}
%check
py.test-3 tests/unit/
%endif


%files
%doc --no-dereference COPYING
%doc config/ README.rst THANKS
%dir %{_sysconfdir}/%{oldname}/
%{_bindir}/%{oldname}
%{_bindir}/%{oldname}-migrate
%{_bindir}/%{oldname}d
%{python3_sitelibdir_noarch}/%{oldname}*


%changelog
