Group: System/Libraries
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           serdisplib
Version:        1.97.9
Release:        alt2_26
Summary:        Library to drive serial displays with built-in controllers
License:        GPLv2+
URL:            http://serdisplib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: serdisplib-configure-c99.patch
BuildRequires:  gcc libgd3-devel libSDL-devel
# serdisplib only supports the old libusb-0.1 API
BuildRequires:  libusb-compat-devel
Source44: import.info

%description
serdisplib started as a library to drive serial displays with built-in
controllers. beginning with version 1.95 support was added for parallel driven
displays. anyhow: the name 'serdisplib' will not change.

The serial in "serial display" characterizes the way of how the data is
transferred to the display controller: data is sent bit by bit using a single
input line. several (few) other lines are controlling things like timing
(clock), data or command, ... 


%package        devel
Group: Development/Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package tools
Group: Development/Other
Summary:        serdisplib tools (testserdisp, multidisplay)
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains the tools for serdisplib


%prep
%setup -q
%patch0 -p1



%build
%configure --enable-libusb --enable-libSDL --disable-statictools
# STATIC_LDFLAGS: work around broken non static utils linking
%make_build STATIC_LDFLAGS="-lusb -lSDL -lpthread"


%install
# Ugh no DESTDIR support, how lame
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/libserdisp.a






%files
%doc doc HISTORY README TODO
%doc --no-dereference COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/serdisplib
%{_libdir}/*.so

%files tools
%{_bindir}/*


%changelog
