Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: switchdesk
Summary: A desktop environment switcher
Version: 5.0.2
Release: alt1_2
Url: https://github.com/ngothan/switchdesk
Source: https://github.com/ngothan/switchdesk/archive/%{version}/%{name}-%{version}.tar.gz
License: GPL-2.0-or-later
BuildArch: noarch
BuildRequires: intltool
BuildRequires: gettext-tools
BuildRequires: desktop-file-utils
Source44: import.info

%description
The Desktop Switcher is a tool which enables users to easily switch
between various desktop environments that they have installed.

Support for different environments on different computers is available, as
well as support for setting a global default environment.

Install switchdesk if you need a tool for switching between desktop
environments.

%package gui
Group: Graphical desktop/Other
Summary: A graphical interface for the Desktop Switcher
Requires: %{name} = %{version}-%{release}
Requires: python3
Requires: python3-module-pygobject3 python3-module-pygobject3-pygtkcompat
Requires: desktop-file-utils

%description gui
The switchdesk-gui package provides the graphical user interface for
the Desktop Switcher.

%prep

%setup -q


%build
%make_build

%install

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

# viy:
sed -i s,/usr/bin/bash,/bin/bash, \
	%{buildroot}%_bindir/switchdesk-helper \
	%{buildroot}%{_datadir}/switchdesk/Xclients.kde

%find_lang %{name}

%files
%doc AUTHORS COPYING
%dir %{_datadir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/%{name}/Xclients*
%{_mandir}/man1/%{name}*
%lang(fr)%{_mandir}/fr/man1/%{name}*

%files gui -f %{name}.lang
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.py*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png

%changelog
