Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define fedora 38
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A tool for generating SELinux security policies for containers
Name: udica
Version: 0.2.7
Release: alt1_7
Source0: https://github.com/containers/udica/archive/v%{version}.tar.gz
#git format-patch -N 4a64ff7c1b8116a1894e72eee2a19706e970001f -- . ':!.cirrus.yml' ':!.github'
Patch0001: 0001-Add-device-access-option.patch
Patch0002: 0002-Syntax-changes-after-running-black.patch
Patch0003: 0003-Add-unit-test-for-device-access.patch
Patch0004: 0004-Rename-device-access-to-devices.patch
Patch0005: 0005-Show-diff-when-checking-formatting.patch
Patch0006: 0006-Fix-several-lint-findings.patch
Patch0007: 0007-Fix-generating-policy-for-Crio-mounts.patch
License: GPL-3.0-or-later
BuildArch: noarch
Url: https://github.com/containers/udica
%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires: python3 python3-devel python3-module-pkg_resources python3-module-setuptools
Requires: python3 python3-module-semanage python3-module-selinux
%else
BuildRequires: python python-devel python-module-setuptools
Requires: python python3-module-libsemanage python3-module-libselinux
%endif
# container-selinux provides policy templates
#Requires: container-selinux >= 2.168.0
Source44: import.info

%description
Tool for generating SELinux security profiles for containers based on
inspection of container JSON file.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build
%if 0%{?fedora} || 0%{?rhel} > 7
%{__python3} setup.py build
%else
%{__python} setup.py build
%endif

%install
%if 0%{?fedora} || 0%{?rhel} > 7
%{__python3} setup.py install --single-version-externally-managed --root=%{buildroot}
%else
%{__python} setup.py install --single-version-externally-managed --root=%{buildroot}
%endif

install --directory %{buildroot}%{_mandir}/man8
install -m 0644 udica/man/man8/udica.8 %{buildroot}%{_mandir}/man8/udica.8

%files
%{_mandir}/man8/udica.8*
%{_bindir}/udica
%dir %{_datadir}/udica
%dir %{_datadir}/udica/ansible
%{_datadir}/udica/ansible/*

%if 0%{?fedora} || 0%{?rhel} > 7
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/udica/
%{python3_sitelibdir_noarch}/udica-*.egg-info
%else
%{_datarootdir}/licenses/udica/LICENSE
%{python_sitelibdir_noarch}/udica/
%{python_sitelibdir_noarch}/udica-*.egg-info
%endif

%changelog
