Group: File tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Display information about users currently logged on 
Name: whowatch
Version: 1.8.6
Release: alt2_15
License: GPL-2.0-only
URL: http://wizard.ae.krakow.pl/~mike/

Source0: https://github.com/mtsuszycki/whowatch/archive/whowatch-%{version}.tar.gz
Patch0: whowatch-configure-c99.patch

BuildRequires: gcc
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
Whowatch is an interactive who-like program that displays information about the
users currently logged on to the machine, in real time. Besides standard
information (login name, tty, host, user's process), the type of the connection
(ie. telnet or ssh) is shown. You can toggle display between users' command or
idle time. You can watch processes tree, navigate in it and send INT and KILL
signals.

%prep
%setup -q
%patch0 -p1


%build
# Avoid regenerating configure script because whowatch-configure-c99.patch
# updates it directly.
touch aclocal.m4 Makefile.in src/config.h.in
%configure
make %{?_smp_mflags}

%install
install -d -m0755 %{buildroot}%{_mandir}/man1/ \
			%{buildroot}%{_bindir}
%makeinstall

%files
%doc AUTHORS ChangeLog PLUGINS.readme README TODO
%doc %{_mandir}/man1/whowatch.1*
%doc --no-dereference COPYING
%{_bindir}/whowatch

%changelog
