Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		xgridloc
Version:	1.8.4
Release:	alt1_8
Summary:	A GTK+ application for the calculation of Maidenhead QRA Locators

License:	GPLv3
URL:		https://www.qsl.net/5b4az/

Source0:        https://www.qsl.net/5b4az/pkg/locator/%{name}/%{name}-%{version}.tar.bz2

# desktop file
Source1:	%{name}.desktop
Patch0: xgridloc-configure-c99.patch


BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	glib2-devel libgio libgio-devel
BuildRequires:	gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
Source44: import.info

%description
xgridloc is a GTK+ graphical version of gridloc and performs the same basic
functions for ham radio operators, but additionally it can use xplanet to
display the home and DX locations and the great circle path between them.

%prep
%setup -q
%patch0 -p1



%build
./autogen.sh
%configure
%make_build


%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/pixmaps/
ln -rs %{buildroot}%{_datadir}/%{name}/%{name}.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg

# no upstream .desktop so we'll use a temporary one
desktop-file-install  \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%files
%doc AUTHORS NEWS README doc/%{name}.html
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
